Last Comment Bug 1256912 - [ESLint] Fix ESLint issues in devtools/client/webconsole/test/browser_webconsole_output_regexp.js
: [ESLint] Fix ESLint issues in devtools/client/webconsole/test/browser_webcons...
Status: RESOLVED FIXED
[btpp-backlog]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Console (show other bugs)
: unspecified
: Unspecified Unspecified
P3 normal (vote)
: Firefox 49
Assigned To: acautin
:
: (Unavailable until Apr 3) [:bgrins]
Mentors: Jason Laster [:jlast]
Lin Clark [:linclark]
Depends on:
Blocks: 1256948
  Show dependency treegraph
 
Reported: 2016-03-15 12:34 PDT by Lin Clark [:linclark]
Modified: 2016-05-30 06:41 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
Bug-1256912-Fixed-eslint-errors-browser_webconsole_o.patch (1.08 KB, patch)
2016-04-30 06:56 PDT, acautin
lclark: review+
Details | Diff | Splinter Review

Description User image Lin Clark [:linclark] 2016-03-15 12:34:04 PDT
If you haven’t contributed to Firefox before, follow the steps here to set up your environment: https://developer.mozilla.org/en-US/docs/Tools/Contributing#Getting_set_up

Then, automatically configure ESLint to work with the Firefox specific rules by following the instructions here: https://wiki.mozilla.org/DevTools/CodingStandards

Then you can see the issues that need to be fixed by running

> eslint --no-ignore devtools/client/webconsole/test/browser_webconsole_output_regexp.js
Comment 1 User image acautin 2016-04-30 06:56:10 PDT
Created attachment 8747434 [details] [diff] [review]
Bug-1256912-Fixed-eslint-errors-browser_webconsole_o.patch
Comment 2 User image Michael Kohler [:mkohler] 2016-04-30 07:16:02 PDT
https://treeherder.mozilla.org/#/jobs?repo=try&revision=a0263376aaf2
Comment 3 User image Lin Clark [:linclark] 2016-05-02 07:20:13 PDT
Comment on attachment 8747434 [details] [diff] [review]
Bug-1256912-Fixed-eslint-errors-browser_webconsole_o.patch

Review of attachment 8747434 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good to me... Thanks for the patch!
Comment 5 User image Carsten Book [:Tomcat] 2016-05-04 02:50:53 PDT
https://hg.mozilla.org/mozilla-central/rev/01a6a967a600
Comment 6 User image Ryan VanderMeulen [:RyanVM] 2016-05-30 06:41:24 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/d17e4865654d

Note You need to log in before you can comment on or make changes to this bug.